from telethon import TelegramClient
from telethon.tl.functions.messages import SendMessageRequest
import os

api_id = 26952145  # Your API ID
api_hash = '154a421739081689967a55b368aa0637'  # Your API Hash

def send_message_to_all_sessions(message, channel_username):
    # List all session files (files ending with .session)
    session_files = [f.replace('.session', '') for f in os.listdir() if f.endswith('.session')]

    for session in session_files:
        client = TelegramClient(session, api_id, api_hash)

        async def send_message():
            try:
                # Start the client with the session
                await client.start()

                # Send the message to the given channel or user
                await client.send_message(channel_username, message)
                print(f"Message sent from session {session}.")

                # Disconnect after sending the message
                await client.disconnect()

            except Exception as e:
                print(f"Error with session {session}: {e}")

        client.loop.run_until_complete(send_message())

def main():
    message = "Hello from all accounts!"  # Your message
    channel_username = '@itsSowrov'  # The user or channel to send the message to

    send_message_to_all_sessions(message, channel_username)

if __name__ == "__main__":
    main()