from telethon import TelegramClient
from telethon.errors import SessionPasswordNeededError

api_id = 26952145  # Your API ID
api_hash = '154a421739081689967a55b368aa0637'  # Your API Hash

def save_session(phone_number):
    session_name = phone_number.replace('+', '').replace(' ', '')  # Make session name based on phone number

    client = TelegramClient(session_name, api_id, api_hash)

    async def authenticate():
        # Start the client
        await client.start(phone=phone_number)

        # Check if the account requires a password (for 2FA)
        try:
            me = await client.get_me()
            print(f"Logged in successfully as {me.username or me.id}")

        except SessionPasswordNeededError:
            password = input("Enter your 2FA password: ")
            await client.start(password=password)
            print("Logged in successfully with 2FA.")

        # Save the session
        print(f"Session for {phone_number} saved.")

        # Disconnect the client after session is saved
        await client.disconnect()

    client.loop.run_until_complete(authenticate())

def main():
    while True:
        # Ask for phone number
        phone_number = input("Enter the phone number (or type 'exit' to quit): ")

        if phone_number.lower() == 'exit':
            print("Exiting...")
            break

        # Save the session for the given phone number
        save_session(phone_number)

if __name__ == "__main__":
    main()